diff --git a/src/tracker/EQConstants.cpp b/src/tracker/EQConstants.cpp
index ffbf6ea..fa6fdce 100644
--- a/src/tracker/EQConstants.cpp
+++ b/src/tracker/EQConstants.cpp
@@ -27,9 +27,9 @@
 
 const float EQConstants::EQ3bands[3] = 
 {
-	p(5),  // 32     Hz
-	p(9),  // 522    Hz
-	p(12), // 4181.5 Hz
+	(float) p(5),  // 32     Hz
+	(float) p(9),  // 522    Hz
+	(float) p(12), // 4181.5 Hz
 };
 
 const float EQConstants::EQ3bandwidths[3] = 
@@ -41,28 +41,28 @@ const float EQConstants::EQ3bandwidths[3] =
 
 const float EQConstants::EQ10bands[10] = 
 {
-	p(3),  // 8      Hz
-	p(4),  // 16     Hz
-	p(5),  // 32     Hz
-	p(6),  // 65     Hz
-	p(7),  // 130    Hz
-	p(8),  // 261    Hz
-	p(9),  // 522    Hz
-	p(10), // 1     kHz
-	p(11), // 2     kHz
-	p(12), // 4181.5 Hz
+	(float) p(3),  // 8      Hz
+	(float) p(4),  // 16     Hz
+	(float) p(5),  // 32     Hz
+	(float) p(6),  // 65     Hz
+	(float) p(7),  // 130    Hz
+	(float) p(8),  // 261    Hz
+	(float) p(9),  // 522    Hz
+	(float) p(10), // 1     kHz
+	(float) p(11), // 2     kHz
+	(float) p(12), // 4181.5 Hz
 };
 
 const float EQConstants::EQ10bandwidths[10] = 
 {
 	16,
-	p(3)*1.5f,
-	p(4)*1.5f,
-	p(5)*1.5f,
-	p(6)*1.5f,
-	p(7)*1.5f,
-	p(8)*1.0f,
-	p(9)*1.0f,
+	(float) p(3)*1.5f,
+	(float) p(4)*1.5f,
+	(float) p(5)*1.5f,
+	(float) p(6)*1.5f,
+	(float) p(7)*1.5f,
+	(float) p(8)*1.0f,
+	(float) p(9)*1.0f,
 	600.0f,
 	800.0f
 };
diff --git a/src/tracker/sdl/SDL_Main.cpp b/src/tracker/sdl/SDL_Main.cpp
index 420b4d9..d404f08 100644
--- a/src/tracker/sdl/SDL_Main.cpp
+++ b/src/tracker/sdl/SDL_Main.cpp
@@ -609,7 +609,7 @@ void translateKeyDownEvent(const SDL_Event& event)
 	printf ("DEBUG: Key pressed: VK: %d, SC: %d, Scancode: %d\n", toVK(keysym), toSC(keysym), keysym.sym);
 #endif
 
-	pp_uint16 chr[3] = {toVK(keysym), toSC(keysym), keysym.sym};
+	pp_uint16 chr[3] = {(pp_uint16) toVK(keysym), (pp_uint16) toSC(keysym), (pp_uint16) keysym.sym};
 
 	PPEvent myEvent(eKeyDown, &chr, sizeof(chr));
 	RaiseEventSerialized(&myEvent);
@@ -621,7 +621,7 @@ void translateKeyUpEvent(const SDL_Event& event)
 
 	preTranslateKey(keysym);
 
-	pp_uint16 chr[3] = {toVK(keysym), toSC(keysym), keysym.sym};
+	pp_uint16 chr[3] = {(pp_uint16) toVK(keysym), (pp_uint16) toSC(keysym), (pp_uint16) keysym.sym};
 
 	PPEvent myEvent(eKeyUp, &chr, sizeof(chr));
 	RaiseEventSerialized(&myEvent);
